
%global meadversion 1.0.3
%global namedversion 1.0.3.GA-redhat-2
%global meadalpha .GA_redhat_2
%global meadrel .1
%global serial 3
%global namedversionrel redhat-2

%{?scl:%scl_package slf4j-jboss-logmanager} 
%{!?scl:%global pkg_name %{name}}

%bcond_with javadoc
%bcond_without mead

%define maven_version 1.0.3.GA-redhat-2

Name:           %{?scl_prefix}slf4j-jboss-logmanager
Version:        %{meadversion}
Release:        %{serial}%{meadalpha}%{meadrel}%{?dist}
Epoch:          0
Summary:        SLF4J: JBoss Log Manager
Group:          Development/Java

%if %with mead
Source100: slf4j-jboss-logmanager-1.0.3.GA-redhat-2-scm-sources.zip
Source102: slf4j-jboss-logmanager-1.0.3.GA-redhat-2-sources.jar
Source103: slf4j-jboss-logmanager-1.0.3.GA-redhat-2-project-sources.tar.gz
Source104: slf4j-jboss-logmanager-1.0.3.GA-redhat-2-javadoc.jar
Source105: slf4j-jboss-logmanager-1.0.3.GA-redhat-2.pom
Source106: slf4j-jboss-logmanager-1.0.3.GA-redhat-2.jar
%endif

License:        LGPLv2+
URL:            https://github.com/jboss-logging/slf4j-jboss-logmanager

BuildArch:      noarch
BuildRoot:      %{_tmppath}/slf4j-jboss-logmanager-%{namedversion}-%{release}-root

%description
%{summary}.

%if %with javadoc
%package javadoc
Summary:        Javadoc for slf4j-jboss-logmanager
Group:          Development/Documentation

BuildRequires:  unzip

%description javadoc
%{summary}.
%endif

%prep
%setup -q -n slf4j-jboss-logmanager -T -b 100

%build

%install
%{__rm} -rf %{buildroot}

# jars
%{__mkdir_p} %{buildroot}%{_javadir}
%{__cp} -p %{_sourcedir}/slf4j-jboss-logmanager-%{namedversion}.jar %{buildroot}%{_javadir}/slf4j-jboss-logmanager-%{namedversion}.jar
%if %with javadoc
%{__cp} -p %{_sourcedir}/slf4j-jboss-logmanager-%{namedversion}-javadoc.jar %{buildroot}%{_javadir}/slf4j-jboss-logmanager-%{namedversion}-javadoc.jar
%endif
%{__cp} -p %{_sourcedir}/slf4j-jboss-logmanager-%{namedversion}-sources.jar %{buildroot}%{_javadir}/slf4j-jboss-logmanager-%{namedversion}-sources.jar
(cd %{buildroot}%{_javadir} && for jar in *-%{namedversion}*; do %{__ln_s} ${jar} `/bin/echo ${jar} | %{__sed} -e "s|-%{namedversion}||g"`; done)

%if %with javadoc
# javadoc
%{__mkdir_p} %{buildroot}%{_javadocdir}/slf4j-jboss-logmanager-%{namedversion}
%{_bindir}/unzip -qq %{_sourcedir}/slf4j-jboss-logmanager-%{namedversion}-javadoc.jar -d %{buildroot}%{_javadocdir}/slf4j-jboss-logmanager-%{namedversion} -x META-INF/\*
%{__ln_s} slf4j-jboss-logmanager-%{namedversion} %{buildroot}%{_javadocdir}/slf4j-jboss-logmanager
%endif

%clean
%{__rm} -rf %{buildroot}

%files
%defattr(0644,root,root,0755)
%{_javadir}/slf4j-jboss-logmanager-%{namedversion}.jar
%{_javadir}/slf4j-jboss-logmanager.jar
%if %with javadoc
%exclude %{_javadir}/slf4j-jboss-logmanager-%{namedversion}-javadoc.jar
%exclude %{_javadir}/slf4j-jboss-logmanager-javadoc.jar
%endif
%{_javadir}/slf4j-jboss-logmanager-%{namedversion}-sources.jar
%{_javadir}/slf4j-jboss-logmanager-sources.jar

%if %with javadoc
%files javadoc
%defattr(0644,root,root,0755)
%{_javadocdir}/slf4j-jboss-logmanager-%{namedversion}
%{_javadocdir}/slf4j-jboss-logmanager
%{_javadir}/slf4j-jboss-logmanager-%{namedversion}-javadoc.jar
%{_javadir}/slf4j-jboss-logmanager-javadoc.jar
%endif

%changelog
* Tue Jun 26 2018 Yong Yang <yyang@redhat.com> - 1.0.3-3.GA_redhat_2.1
- Rewrap for 7.2.0

* Wed Jun 17 2015 Permaine Cheung <pcheung@redhat.com> - 1.0.3-2.GA_redhat_2.1
- EAP 7 build

* Wed Apr 23 2014 David Walluck <dwalluck@redhat.com> 0:1.0.3-2.GA_redhat_1.1
- fix Group
- remove buildroot in install
- add missing clean section
- add maven scriptlets for depmaps
- fix javadoc package BuildRequires
- fix file perms
- fix file lists

* Fri Mar 28 2014 Vladimir Dosoudil <vdosoudi@redhat.com> - 1.0.3-1.GA_redhat_1.1
- Upgrade to 1.0.3.GA

* Sun Feb 17 2013 Yong Yang <yyang@redhat.com> - 1.0.2-1.GA_redhat_1
- 1.0.2.GA

* Wed Sep 19 2012 Fernando Nasser <fnasser@redhat.com> - 1.0.0-7.GA_redhat_2.3.2
- Rebuild for MD5

* Mon Aug 20 2012 Vladimir Dosoudil <dosoudil@redhat.com> - 1.0.0-6.GA_redhat_2.3.2
- Update poms for eap 6.0.1

* Thu Aug 09 2012 Fernando Nasser <fnasser@redhat.com> - 1.0.0-5.GA_redhat_2.3.2
- Rebuild unsigned

* Thu Jul 12 2012 Fernando Nasser <fnasser@redhat.com> - 1.0.0-5.GA_redhat_1.3.1
- Rebuild using cache signing

* Mon Jun 11 2012 Fernando Nasser <fnasser@redhat.com> - 1.0.0-5.GA_redhat_1.3
- Rebuild for RHEL-5

* Fri Mar 16 2012 Yong Yang <yyang@redhat.com> - 1.0.0-4.GA_redhat_1.3
- Update Wrapper

* Fri Mar 16 2012 Yong Yang <yyang@redhat.com> - 1.0.0-4.GA_redhat_1.2
- New Wrapper
- Update install path, no %%{name} dir

* Wed Feb 29 2012 Fernando Nasser <fnasser@redhat.com> - 1.0.0-4.GA_redhat_1.1
- Populate java-signed

* Tue Feb 07 2012 Red Hat Release Engineering <release-engineering@redhat.com> - 1.0.0-4.GA_redhat_1
- Rebuild to use new signing key

* Thu Feb 02 2012 Yong Yang <yyang@redhat.com> - 1.0.0.-3.GA_redhat_1
- Latest vman

* Thu Sep 29 2011 Yong Yang <yyang@redhat.com> - 1.0.0.-2.GA
- Upgrade to 1.0.0.GA

* Fri Jun 17 2011 Yong Yang <yyang@redhat.com> - 1.0.0.-1.CR3
- First build

* Tue May 24 2011 Fernando Nasser <fnasser@redhat.com> - 0:1.0.0-1
- Placeholder
